/*
 * @(#)src/demo/jfc/Java2D/src/CustomControlsContext.java, ds131, ds131, 20030510 1.3.2.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/* 
 *
 * ===========================================================================
 *
 * Copyright (c) 1998, 1999 by Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */

import java.awt.Component;

/**
 * ControlsSurface or AnimatingControlsSurface classes implement 
 * this interface.
 */
public interface CustomControlsContext {

    public static final int START = 0;
    public static final int STOP = 1;

    public String[] getConstraints();
    public Component[] getControls();
    public void setControls(Component[] controls);
    public void setConstraints(String[] constraints);
    public void handleThread(int state);
}
