/*
 * @(#)src/demo/applets/SimpleGraph/GraphApplet.java, ui, ds131, 20030510 1.3.2.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * Copyright IBM Corp. 1999 
 * ===========================================================================
 */

/*
 * IBM SDK/J2RE 1.2
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 */

import java.awt.Graphics;

public class GraphApplet extends java.applet.Applet {
    double f(double x) {
	return (Math.cos(x/5) + Math.sin(x/7) + 2) * getSize().height / 4;
    }

    public void paint(Graphics g) {
        for (int x = 0 ; x < getSize().width ; x++) {
	    g.drawLine(x, (int)f(x), x + 1, (int)f(x + 1));
        }
    }
  public String getAppletInfo() {
    return "Draws a sin graph.";
  }
}
